> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出投递记录

> 查看某个 webhook 的近期投递尝试记录，包括成功和失败的情况。

## 路径参数

<ParamField path="id" type="string" required>
  该 webhook 的 UUID。
</ParamField>

## 响应

返回最近的 50 次投递尝试记录，按时间从新到旧排列。

<ResponseField name="deliveries" type="array">
  <Expandable title="Delivery object">
    <ResponseField name="id" type="string">投递记录的 UUID</ResponseField>
    <ResponseField name="event_type" type="string">本次投递的事件类型</ResponseField>
    <ResponseField name="http_status" type="number | null">来自你的服务器的 HTTP 状态码（连接失败时为 null）</ResponseField>
    <ResponseField name="error_message" type="string | null">失败时的错误描述</ResponseField>
    <ResponseField name="status" type="string">`success` 或 `failed`</ResponseField>
    <ResponseField name="attempt" type="number">当前是第几次尝试（1 表示首次尝试，最多为最大重试次数 + 1）</ResponseField>
    <ResponseField name="failed_at" type="string | null">ISO 8601 时间戳</ResponseField>
  </Expandable>
</ResponseField>

## 示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/webhooks/WEBHOOK_ID/deliveries \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  const deliveries = await theo.webhookDeliveries("WEBHOOK_ID");
  ```
</CodeGroup>

### 响应

```json theme={null}
{
  "deliveries": [
    {
      "id": "d1e2f3a4-...",
      "event_type": "completion.created",
      "http_status": 200,
      "error_message": null,
      "status": "success",
      "attempt": 1,
      "failed_at": "2026-04-15T12:01:00.000Z"
    },
    {
      "id": "b5c6d7e8-...",
      "event_type": "job.failed",
      "http_status": 503,
      "error_message": "HTTP 503",
      "status": "failed",
      "attempt": 4,
      "failed_at": "2026-04-15T11:58:00.000Z"
    }
  ]
}
```

<Tip>
  失败的投递可以通过[重试端点](/api-reference/webhooks/retry)进行重试。
</Tip>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.